Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en Proton Enterprise Building Management System de Optergy

Múltiples vulnerabilidades en Proton Enterprise Building Management System de Optergy

Fecha de publicación: 
07/06/2019
Importancia: 
5 - Crítica
Recursos afectados: 
  • Proton Enterprise versiones 2.3.0 y anteriores.
Descripción: 

El investigador Gjoko Krstic de Applied Risk ha reportado vulnerabilidades del tipo revelación de información, falsificaciones de petición en sitios cruzados (CSRF), subida sin restricciones de ficheros peligrosos, redirección a URL maliciosas, funcionalidad oculta, exposición de método o función peligroso y credenciales embebidas en el software que afectan a Proton Enterprise de Optergy, que podrían permitir a un atacante ejecutar código de manera remota, divulgar información del sistema y obtener acceso total del sistema.

Solución: 
  • La solución recomendada del fabricante es actualizar los servidores Optergy a la versión 2.4.5
Detalle: 
  • A través de la funcionalidad de restablecimiento de nombre de usuario de la aplicación, un atacante podría enumerar y revelar todos los usuarios válidos en él sistema, además de poder divulgar información interna del sistema. Se han asignado los identificadores CVE-2019-7272 y CVE-2019-7277 para estas vulnerabilidades.
  • La falta de validación de la extensión de archivos durante la carga, podría permitir a un atacante remoto no autenticado cargar archivos con extensiones no validadas y ejecutarlos dentro del directorio al cual se han subido. Se ha asignado el identificador CVE-2019-7274 para esta vulnerabilidad.
  • Mediante un backdoor no identificado, un atacante podría obtener acceso al sistema y ejecutar código arbitrario. Se ha asignado el identificador CVE-2019-7276 para esta vulnerabilidad.
  • Usuarios sin autenticar podrían usar funciones de clases no declaradas para acceder a ciertos recursos. Se ha asignado el identificador CVE-2019-7278 para esta vulnerabilidad.
  • Un atacante podría utilizar credenciales embebidas en el software para enviar mensajes SMS no autorizados a cualquier número de teléfono. Se ha asignado el identificador CVE-2019-7279 para esta vulnerabilidad.
  • Para el resto de vulnerabilidades se han asignado CVE-2019-7273 y CVE-2019-7275.

Encuesta valoración